Add Project Role
Add a new project role to a project. The key must be unique within the project.
Required permission:
project.role.write
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/AddProjectRole" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string", "roleKey": "string", "displayName": "string" }'{
"creationDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Activate Project Grant
Activate Project Grant: Set the state of the project grant to activated. Required permission:
Create Project
Create Project: Create a new project. A project is a vessel to group applications, roles and authorizations. Every project belongs to exactly one organization, but can be granted to other organizations for self-ma...